@echo off
CLS

@ECHO ==============================================================================================
@ECHO = ---- creates NEW Self Signed 'Trusted Root Certification Authorities' certificate   ----   =
@ECHO = ---- to be added to any web browswer being used to browse the unit over HTTPS ?     ----   =
@ECHO =                                                                                            =
@ECHO =          NOTE:        !!!!! Usually this process is done only once !!!!!                   =
@ECHO ==============================================================================================
@ECHO .

:loop
SET /P ANSWER=Create NEW Root Self Signed Certificate (usually done only once) (Y/N)?
if /i {%ANSWER%}=={n} (exit)
if /i {%ANSWER%}=={y} (goto :yes)
goto :loop

:yes
@ECHO .
@ECHO eraseing older 'private_ca.*' files
del private_ca.*

@ECHO .
@ECHO .
@ECHO ===========================================
@ECHO Lets creates self signed private key
@ECHO ===========================================
set OPENSSL_CONF=openssl.cnf
@ECHO Create the Root Key:
openssl genrsa -out private_ca.key 1024

@ECHO .
@ECHO .
@ECHO ===========================================
@ECHO Lets self sign the new created certificate:
@ECHO ===========================================
openssl req -new -key private_ca.key -x509 -sha256 -days 3650 -out private_ca.crt


@ECHO .
@ECHO .
@ECHO #####################################################################
@ECHO #                                                                   #
@ECHO # Please add the new generated 'private_ca.crt' certificate to your #
@ECHO # Web Browser 'Trusted Root Certification Authorities' certificates #
@ECHO #                                                                   #
@ECHO #####################################################################
@ECHO .
pause