@ECHO OFF
CLS

:loop
SET /P ANSWER=Create new uniqe certificate for aditional Network device (Y/N)?
if /i {%ANSWER%}=={n} (exit)
if /i {%ANSWER%}=={y} (goto :yes)
goto :loop

:yes
@ECHO .
@ECHO eraseing older 'web_ssl.*' files
del web_ssl.*

@ECHO ============================================================================
@ECHO Lets create uniqe certificate per each Network Device
@ECHO ============================================================================
set OPENSSL_CONF=openssl.cnf
@ECHO Create private Key:
openssl genrsa -out web_ssl.key 1024

@ECHO .
@ECHO .
@ECHO ===========================================================================
@ECHO Lets generate certificate sign request:
@ECHO NOTE - For 'Common Name' field please use device DNS name or IP address
@ECHO ===========================================================================
openssl req -new -key web_ssl.key -out web_ssl.csr

@ECHO .
@ECHO .
@ECHO =========================================================================
@ECHO Lets sign the CSR. Please note that files 'private_ca.crt' and
@ECHO 'private_ca.key' must be present  
@ECHO =========================================================================
openssl x509 -sha256 -req -days 3650 -in web_ssl.csr -CA private_ca.crt -CAkey private_ca.key -CAcreateserial -out web_ssl.crt

del web_ssl.csr
del private_ca.srl

@ECHO .
@ECHO .
@ECHO =========================================================================
@ECHO Place file named 'web_ssl.key' and 'web_ssl.crt' on TFTP Server root folder.
#ECHO Next connect to your device using Telnet/SSH. From within configuration
#ECHO menu select the option to upload self signed certificate into the device. 
@ECHO =========================================================================
pause 

